Skip to main content
GET
/
unified
/
hris
/
time_off
/
{id}
Get time off request
curl --request GET \
  --url https://api.stackone.com/unified/hris/time_off/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://api.stackone.com/unified/hris/time_off/{id}"

headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.stackone.com/unified/hris/time_off/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
    "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
    "employee_id": "1687-3",
    "remote_employee_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
    "approver_id": "1687-4",
    "remote_approver_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
    "status": {
      "source_value": "<string>"
    },
    "type": {
      "source_value": "<string>"
    },
    "start_date": "2021-01-01T01:01:01.000",
    "end_date": "2021-01-01T01:01:01.000",
    "start_half_day": true,
    "end_half_day": true,
    "duration": "P3Y6M4DT12H30M5S",
    "time_off_policy_id": "cx280928933",
    "remote_time_off_policy_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
    "reason": {
      "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "name": "<string>"
    },
    "created_at": "2021-01-01T01:01:01.000Z",
    "updated_at": "2021-01-01T01:01:01.000Z",
    "policy": {
      "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "name": "Holidays",
      "description": "Usable for regional and national holidays of employees.",
      "type": {
        "value": "holiday",
        "source_value": "<string>"
      },
      "duration_unit": {
        "value": "hours",
        "source_value": "<string>"
      },
      "reasons": [
        {
          "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
          "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
          "name": "<string>"
        }
      ],
      "created_at": "2021-01-01T01:01:01.000Z",
      "updated_at": "2021-01-01T01:01:01.000Z"
    },
    "comment": "Taking a day off for personal reasons"
  },
  "raw": [
    {
      "method": "<string>",
      "url": "<string>",
      "body": {},
      "response": {}
    }
  ]
}
{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}
{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,employee_id,remote_employee_id,approver_id,remote_approver_id,status,type,start_date,end_date,start_half_day,end_half_day,time_off_policy_id,remote_time_off_policy_id,reason,comment,duration,created_at,updated_at,policy,unified_custom_fields"

expand
string | null

The comma separated list of fields that will be expanded in the response

Example:

"policy"

Response

The time off request with the given identifier was retrieved.

data
object
required
raw
object[] | null